<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Disbursement.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idpaytyp"
                                 baseTableName="disbursement"
                                 constraintName="fk_disbursement_payment_type_id"
                                 referencedColumnNames="idpaytyp"
                                 referencedTableName="payment_type"/>

        <addForeignKeyConstraint baseColumnNames="idpaymet"
                                 baseTableName="disbursement"
                                 constraintName="fk_disbursement_method_id"
                                 referencedColumnNames="idpaymet"
                                 referencedTableName="payment_method"/>

        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="disbursement"
                                 constraintName="fk_disbursement_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idpaiTo"
                                 baseTableName="disbursement"
                                 constraintName="fk_disbursement_paid_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

        <addForeignKeyConstraint baseColumnNames="idpaifro"
                                 baseTableName="disbursement"
                                 constraintName="fk_disbursement_paid_from_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

    </changeSet>
</databaseChangeLog>
